import {
  createAsyncStructure,
  createResourceStructure,
  createActionStructure,
} from 'store/utils/actions';

import constants from './constants';

const actions = {
  ...createResourceStructure(`${constants.prefix}`),
  syncContent: createAsyncStructure(`${constants.prefix}_sync`),
  copyContent: createActionStructure(`${constants.prefix}_copy_content`),
  search: createActionStructure(`${constants.prefix}_search`),
};

export default actions;
